'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.hasObservable = exports.default = undefined;

var _jsLogger = require('js-logger');

var _jsLogger2 = _interopRequireDefault(_jsLogger);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Observable = void 0,
    hasObservable = void 0;
try {
    exports.default = Observable = require('any-observable');
    exports.hasObservable = hasObservable = true;

    _jsLogger2.default.debug('woohoo! observables!');
} catch (e) {
    _jsLogger2.default.debug("there's no Observable, but we can do without");
}

exports.default = Observable;
exports.hasObservable = hasObservable;